<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Patient View List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>

<div class="container">
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <svg class="bi me-2" width="40" height="32"><use xlink:href="#bootstrap"/></svg>
            <span class="fs-4">Mediscreen</span>
        </a>

        <ul class="nav nav-pills">
            <li class="nav-item"><a href="/" class="nav-link" aria-current="page">Home</a></li>
            <li class="nav-item"><a href="/patients" class="nav-link active" aria-current="page">Patients</a></li>
        </ul>
    </header>
</div>

<div class="container">
    <div class="row" >
        <div class="col-6">
            <h2>Patient View List</h2>
        </div>
        <div class="col-6 text-right">
        </div>
    </div>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(ErrorPatientIdMessage)}" th:text="${ErrorPatientIdMessage}"></p>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(errorDeleteMessage)}" th:text="${errorDeleteMessage}"></p>
    <p class="alert alert-success" th:if="${!#strings.isEmpty(successDeleteMessage)}" th:text="${successDeleteMessage}"></p>
    <p class="alert alert-success" th:if="${!#strings.isEmpty(successUpdateMessage)}" th:text="${successUpdateMessage}"></p>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(errorSaveMessage)}" th:text="${errorSaveMessage}"></p>
    <p class="alert alert-success" th:if="${!#strings.isEmpty(successSaveMessage)}" th:text="${successSaveMessage}"></p>
    <div class="row">
        <table class="table table-bordered" style="width: 1872px;">
            <thead>
            <tr>
                <th>Id</th>
                <th>Given Name</th>
                <th>Family Name</th>
                <th>Birthdate</th>
                <th>Gender</th>
                <th>Street</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="patient : ${patients}">
                <td style="width: 8% "><span th:text="${patient.id}"> N/A </span></td>
                <td style="width: 17% "><span th:text="${patient.given}"> N/A </span></td>
                <td style="width: 15% "><span th:text="${patient.family}"> N/A </span></td>
                <td style="width: 10% "><span th:text="${patient.dob}"> N/A </span></td>
                <td style="width: 5% "><span th:text="${patient.sex}"> N/A </span></td>
                <td style="width: 15% "><span th:text="${patient.address}"> N/A </span></td>
                <td style="width: 15%" class="text-center">
                    <a th:href="@{/patHistory/add/{patId}(patId=${patient.id})}">Add Note</a>
                    <a th:href="@{/patHistory/{patId}(patId=${patient.id})}")>History</a>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
</body>
</html>